CRMchat APIBeta
Telegram MethodsPayments

payments.getOnrampAvailability

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getOnrampAvailability

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getOnrampAvailability" \  -H "Content-Type: application/json" \  -d '{    "params": {      "provider": "string",      "cryptoCurrency": "string"    }  }'
{  "result": {    "_": "onrampAvailability",    "allowed": true,    "buyAllowed": true,    "countryCode": "string",    "state": "string",    "methods": [      {        "_": "onrampMethodAvailability",        "available": true,        "paymentMethod": "string"      }    ]  },  "txid": 0}